Browse the API reference

Assistants

Change a calendar's settings

View as Markdown
patchhttps://www.getrevox.com/api/assistants/{id}/calendars/{calendarId}

The settings of its provider: opening hours, meeting length and Meet link for Google Calendar, the event type for Calendly and Cal.com.

Path parameters

  • idstringrequired
  • calendarIdstringrequired

Request body

  • settingsone ofrequired

    Must match the calendar's provider.

    Show 3 variants
    1. One ofOption 1object

      • calendar_idstringrequired

        The Google calendar to book on. (eg: primary)

      • time_zonestringrequired

        The timezone of the opening hours. (eg: Europe/Paris)

      • duration_minutesintegerrequired

        min 5 · max 480Default 30

      • daysarray of integerrequired

        The open days, 0 is Sunday.

        Default [1,2,3,4,5]

      • start_timestringrequired

        pattern ^\d{2}:\d{2}$Default "09:00"

      • end_timestringrequired

        pattern ^\d{2}:\d{2}$Default "18:00"

      • google_meetbooleanrequired

        Adds a Google Meet link to the meeting.

        Default true

    2. One ofOption 2object

      • event_type_idstringrequired

        The Calendly event type to schedule. (eg: https://api.calendly.com/event_types/b2330295-2a91-4a1d-bb73-99e7707663d5)

        min length 1

    3. One ofOption 3object

      • event_type_idstringrequired

        The Cal.com event type to schedule. (eg: 7081322)

        min length 1

Responses

200Success
400Invalid request: the body or a parameter failed validation
  • messagestring
  • errorstring
  • bodyErrorsobject

    The validation errors returned from the API.

    Show 1 field
    • issuesarray of objectrequired
      Show 3 fields
      • patharray of one ofrequired
        Show 2 variants
        1. One ofstringstring

        2. One ofnumbernumber

      • messagestringrequired
      • codestring
404Not found in your organization
  • messagestring
  • errorstring
  • bodyErrorsobject

    The validation errors returned from the API.

    Show 1 field
    • issuesarray of objectrequired
      Show 3 fields
      • patharray of one ofrequired
        Show 2 variants
        1. One ofstringstring

        2. One ofnumbernumber

      • messagestringrequired
      • codestring